Extraction

Get Extraction Job

Poll for job progress and retrieve extraction results (async mode only)

GET
/v1/extract/{job_id}
X-Api-Key<token>

In: header

Path Parameters

job_idstring

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://scraper.geonode.io/v1/extract/string"
{
  "job_id": "string",
  "status": "queued",
  "created_at": "2019-08-24T14:15:22Z",
  "completed_at": "2019-08-24T14:15:22Z",
  "data": {
    "html": "string",
    "markdown": "string"
  },
  "metadata": {
    "url": "string",
    "render_js": true,
    "http_status": 0,
    "duration_ms": 0,
    "formats": [
      "markdown"
    ],
    "proxy": {
      "country": "string",
      "type": "datacenter"
    },
    "processing_mode": "sync",
    "headers": {
      "property1": "string",
      "property2": "string"
    },
    "wait_config": {
      "wait_until": "commit",
      "wait_for": "string",
      "wait_timeout": 30000
    }
  },
  "error": {
    "code": "RATE_LIMITED",
    "message": "string",
    "retryable": true,
    "details": {
      "property1": "string",
      "property2": "string"
    }
  },
  "tokens_charged": 0
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}